Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Java] Class IO

    java.lang.Object
      org.codehaus.groovy.tools.shell.IO

    public class IO
    extends java.lang.Object

Container for input/output handles.

Authors:
  Jason Dillon

Version:
  \$Id\$

Nested Class Summary
`static class` | `IO.Verbosity`

Field Summary
`java.io.PrintWriter` | `err` Prefered error output writer.
`java.io.OutputStream` | `errorStream` Raw error output stream.
`java.io.Reader` | `in` Prefered input reader.
`java.io.InputStream` | `inputStream` Raw input stream.
`java.io.PrintWriter` | `out` Prefered output writer.
`java.io.OutputStream` | `outputStream` Raw output stream.

Constructor Summary
`IO(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.io.OutputStream errorStream)` Construct a new IO container.
`IO()` Construct a new IO container using system streams.

Method Summary
`void` | `close()` Close all streams.
`void` | `flush()` Flush both output streams.
`IO.Verbosity` | `getVerbosity()` Returns the verbosity level.
`boolean` | `isDebug()` Check if the verbosity level is set to Verbosity#DEBUG#DEBUG.
`boolean` | `isInfo()` Check if the verbosity level is set to Verbosity#INFO#INFO.
`boolean` | `isQuiet()` Check if the verbosity level is set to Verbosity#QUIET#QUIET.
`boolean` | `isVerbose()` Check if the verbosity level is set to Verbosity#VERBOSE#VERBOSE.
`void` | `setVerbosity(IO.Verbosity verbosity)` Set the verbosity level.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### err

    public final java.io.PrintWriter err

  Prefered error output writer.

### errorStream

    public final java.io.OutputStream errorStream

  Raw error output stream.

### in

    public final java.io.Reader in

  Prefered input reader.

### inputStream

    public final java.io.InputStream inputStream

  Raw input stream.

### out

    public final java.io.PrintWriter out

  Prefered output writer.

### outputStream

    public final java.io.OutputStream outputStream

  Raw output stream.

Constructor Detail

### IO

    public IO(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.io.OutputStream errorStream)

  Construct a new IO container.

### IO

    public IO()

  Construct a new IO container using system streams.

Method Detail

### close

    public void close()

  Close all streams.

### flush

    public void flush()

  Flush both output streams.

### getVerbosity

    public IO.Verbosity getVerbosity()

  Returns the verbosity level.

### isDebug

    public boolean isDebug()

  Check if the verbosity level is set to Verbosity#DEBUG#DEBUG.

  For general usage, when debug output is required, it is better to use the logging facility instead.

### isInfo

    public boolean isInfo()

  Check if the verbosity level is set to Verbosity#INFO#INFO.

### isQuiet

    public boolean isQuiet()

  Check if the verbosity level is set to Verbosity#QUIET#QUIET.

### isVerbose

    public boolean isVerbose()

  Check if the verbosity level is set to Verbosity#VERBOSE#VERBOSE.

### setVerbosity

    public void setVerbosity(IO.Verbosity verbosity)

  Set the verbosity level.
  Parameters:
    verbosity

Groovy Documentation